using APT.Infrastructure.EF.Map;
using APT.BaseData.Domain.Entities.FM;
using Microsoft.EntityFrameworkCore.Metadata.Builders;

namespace APT.BaseData.Data.Mapping.FM
{
	public class FMStageDynamicMap : APTEntityBaseMap<T_FM_STAGE_DYNAMIC>
	{
		public override void Configure(EntityTypeBuilder<T_FM_STAGE_DYNAMIC> builder)
		{
			base.Configure(builder);

			builder.Property(t => t.VAL).HasMaxLength(50);
			builder.Property(t => t.ACTUAL_VAL).HasMaxLength(50);

			builder.HasOne(t => t.Nav_PlanParam).WithMany()
				.HasForeignKey(t => t.PLAN_PARAM_ID);
		} 
	}
}
